Skip to main content
Runs an invoice capture task. Multiple files can be specified in the request. You can use any of your applications to process the document. To change the document processing application, use the Authentication header based on the appropriate application identifier and token while running the task. ABBYY FlexiCapture for Invoices Cloud processes invoices from many different countries and supports a wide range of languages. For more information, see the Specification section. Each application applies a predefined set of processing rules, keywords, and other country-specific settings once it identifies the country of the invoiced business unit.
Specify the correct region for the invoices you expect to receive. Using the right language significantly improves recognition quality.

HTTP request

POST https://api-{location-id}.flexicapture.com/v2/task/capture/invoices
Replace {location-id} with your supported location.

Request body

The request body contains data with the following structure:
{
  "files": [
    {
      "id": "string",
      "token": "string"
    }
  ],
  "properties": {
    "region": "US",
    "export_format": "Xls",
    "verification_type": "NoVerification"
  }
}
FieldTypeDescription
files[]objectRequired. List of files to process.
files[].idstringRequired. The file ID that was returned in the response of the file.Upload method.
files[].tokenstringRequired. The file access token that was returned in the response of the file.Upload method.
regionstringRequired. Invoice region. Supported regions: US: USA, AU: Australia, EU: European Union countries, CA: Canada.
export_formatstringRequired. Output file format. Available formats are listed in the Specification section.
verification_typestringRequired. Verification type. Available types: NoVerification — documents are always processed without verification; Troubleshooting — documents are sent for verification if there are uncertain characters or errors; UserVerification — documents are always sent for verification.

Response

If successful, the response body contains an instance of CaptureTask.
{
  "id": "string",
  "number": "string",
  "verification_id": "string",
  "type": "ic",
  "properties": {
    "property_name": "string"
  },
  "email": "string",
  "account": "string",
  "application": "string",
  "created": "YYYY-MM-DDT00:00:00.000",
  "started": "YYYY-MM-DDT00:00:00.000",
  "action_required": "YYYY-MM-DDT00:00:00.000",
  "billed": "YYYY-MM-DDT00:00:00.000",
  "delivered": "YYYY-MM-DDT00:00:00.000",
  "deleted": "YYYY-MM-DDT00:00:00.000",
  "progress": 0,
  "status": "Submitted",
  "is_deleted": true,
  "is_demo": true,
  "is_billed": true,
  "documents_count": 0,
  "pages_count": 0,
  "documents": [
    {
      "files": {},
      "data": {},
      "is_moved": true
    }
  ]
}

CaptureTask

FieldTypeDescription
idstringRequired. Unique task ID.
numberstringRequired. Task number.
verification_idstringRequired. This ID is used to open the verification page, that is, https://{cloud-host}/verification/{verification_id}.
typestringRequired. Task type. Supported types: ic: invoice capture, dc: document capture.
propertiesobjectOptional. Processing settings or custom registration parameters. Any number of name-value pairs.
emailstringRequired. The email address used to create the task.
accountstringRequired. The account ID used to create the task.
applicationstringRequired. The application ID used to create the task.
createdstring ($date-time)Required. Task creation date.
startedstring ($date-time)Optional. Task start date.
action_requiredstring ($date-time)Optional. Date when the task received WaitForAction status.
billedstring ($date-time)Optional. Task billing date.
deliveredstring ($date-time)Optional. Task completion date.
deletedstring ($date-time)Optional. Data deletion date.
progressnumber ($double)Required. Overall task progress.
statusstringRequired. Task completion status. Supported statuses: Submitted, InProgress, WaitForAction, Done, Failed, Canceled.
is_deletedbooleanRequired. Specifies whether the task data was deleted.
is_demobooleanRequired. Specifies whether the task was created in the demo application.
is_billedbooleanRequired. Specifies whether the task was billed.
documents_countinteger ($int32)Optional. Number of documents in task.
pages_countinteger ($int32)Optional. Number of pages in task.
documents[]object (DataCaptureDocumentModel)Required. Documents in task.

DataCaptureDocumentModel

FieldTypeDescription
filesobject (DataCaptureFileLinkModel)Required. List of files linked to document.
datastringOptional. Document data.
is_movedbooleanRequired. Specifies whether the document was removed during verification.

DataCaptureFileLinkModel

FieldTypeDescription
idstringRequired. File ID.
tokenstringRequired. File access token.
namestringRequired. File name.